<template>
  <div class="col-md-10 pt-4">
    <div class="table-responsive">
      <my-vuetable :apiUrl="apiUrl" :fields="fields" :tableName="tableName" :perPage="perPage">
        <template slot="header-slot">
          <!-- <div class="col-6 col-md-2">
            <ppob-product-create-modal></ppob-product-create-modal>
          </div>-->
        </template>
        <template slot="actions-slot" slot-scope="props">
          <div class="d-flex">
            <ppob-product-edit-modal
              @show="selectData(props.rowData)"
              :content="selectedPpobProduct"
            ></ppob-product-edit-modal>
            <!-- <delete-modal
              :data="{titleData: (selectedPpobProduct) ?selectedPpobProduct.title:''}"
              @deleteHandler="deleteHandler()"
              @show="selectData(props.rowData)"
            ></delete-modal>-->
          </div>
        </template>
      </my-vuetable>
    </div>
  </div>
</template>

<script>
import MyVuetable from "@/components/table/MyVuetable";
import FieldDefs from "./FieldDefs";
import EventBus from "@/EventBus.js";
import PpobProductCreateModal from "./modals/PpobProductCreateModal";
import PpobProductEditModal from "./modals/PpobProductEditModal";
import DeleteModal from "@/components/general/modals/DeleteModal";

export default {
  data() {
    return {
      fields: FieldDefs,
      tableName: "Ppob Products",
      selectedPpobProduct: null,
      selectedCategory: "show-all",
      perPage: 15
    };
  },
  computed: {
    apiUrl() {
      return (
        this.baseUrl + `/api/${this.$store.getters.appId.hashed}/ppob-product`
      );
    }
  },
  components: {
    MyVuetable,
    PpobProductCreateModal,
    PpobProductEditModal,
    DeleteModal
  },
  methods: {
    selectData(data) {
      this.selectedPpobProduct = { ...data };
    },
    async deleteHandler() {
      try {
        let response = await this.$axios.delete(
          process.env.MIX_APP_URL +
            `/api/${this.$store.getters.appId.hashed}/ppob-product/${
              this.selectedPpobProduct.id
            }`
        );
        this.$notify({
          group: "notif",
          type: "info",
          title: "Info",
          text: response.data.message
        });
        EventBus.$emit("hideModal");
        EventBus.$emit("refreshTable");
      } catch (error) {
        this.$notify({
          group: "error",
          type: "error",
          title: "Error",
          text: error.response.data.message
        });
      }
    }
  }
};
</script>
<style lang="scss" scoped>
.dropdown-toggle::after {
  display: none;
}
select::-ms-expand {
  display: none !important;
}
select {
  border: none;
  -webkit-appearance: none !important;
  appearance: none !important;
}
</style>
